# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'frozen/version'

Gem::Specification.new do |spec|
  spec.name          = "frozen"
  spec.version       = Frozen::VERSION
  spec.authors       = ["Joe Bellus"]
  spec.email         = ["joe@5sigma.io"]
  spec.summary       = %q{A static site templating engine}
  spec.description   = %q{Frozen controls building static webpages using various templating engines such ass sass,scss,coffeescript, and slim.}
  spec.homepage      = "https://github.com/5Sigma/frozen"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "slim"
  spec.add_dependency "aws-sdk"
  spec.add_dependency "filewatcher"
  spec.add_dependency "sass"
  spec.add_dependency "colorize"
  spec.add_dependency "bourbon"
  spec.add_dependency "neat"
  spec.add_dependency "bitters"
  spec.add_dependency "uglifier"
  spec.add_dependency "coffee-script"
  spec.add_dependency "rack"


  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
end
