require 'spec_helper'

RSpec.describe Frozen::Rack::RequestController do
  let(:request_controller) {
    Frozen::Rack::RequestController.new  Frozen::Site::LocalSite.new("/1/2/3")
  }
  describe "#stylesheet_for_build_file" do
    before(:each) do
      allow(request_controller.site).to receive(:stylesheet_file_paths) {
        [ "/1/2/3/assets/stylesheets/main.css",
        "/1/2/3/assets/stylesheets/sub/sub.css"]
      }
    end

    it "should find stylesheet by relative path" do
      expect(request_controller.get_stylesheet("css/main.css")).to_not be_nil
    end
    it "should find stylesheet by absolute site path" do
      expect(request_controller.get_stylesheet("/css/main.css")).to_not be_nil
    end
  end
end
