require 'spec_helper'

RSpec.describe Frozen::Site::Base do
  let(:site) { Frozen::Site::Base.new }
  describe "#files_in_path" do
    it "should call Dir.blob" do
      expect(Dir).to receive(:glob).with('/test/**/*.rb')
      site.files_in_path('/test', 'rb')
    end
  end
  describe "build_path" do
    it "should return build folder inside site_root" do
      site.site_root_path = "folder/subfolder"
      expect(site.build_path).to eq("folder/subfolder/build")
    end
  end
end
